Linux Kernel ‘pmcraid_ioctl_passthrough’ 函数整数符号错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1172765 漏洞类型 数字错误
发布时间 2012-05-25 更新时间 2012-05-25
CVE编号 CVE-2011-2906 CNNVD-ID CNNVD-201205-458
漏洞平台 N/A CVSS评分 4.9
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201205-458
|漏洞详情
Linuxkernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。NFSv4implementation是其中的一个分布式文件系统协议。Linuxkernel3.1之前版本的drivers/scsi/pmcraid.c中的pmcraid_ioctl_passthrough函数中存在整数符号错误漏洞。本地用户可通过ioctl调用的负值大小导致拒绝服务(内存消耗或者内存破坏)。
|参考资料

来源:github.com
链接:https://github.com/torvalds/linux/commit/b5b515445f4f5a905c5dd27e6e682868ccd6c09d
来源:MLIST
名称:[oss-security]20110810Re:CVErequests:Twokernelissues
链接:http://www.openwall.com/lists/oss-security/2011/08/09/8
来源:www.kernel.org
链接:http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.1
来源:git.kernel.org
链接:http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b5b515445f4f5a905c5dd27e6e682868ccd6c09d